#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

import re


def include_package(config):
    """Pyramid include"""

    # add translations
    config.add_translation_dirs('onf_website:locales')

    # add custom JSON-RPC endpoints
    config.add_jsonrpc_endpoint('onf_website', '/api/onf_website/json')

    # add custom routes
    config.add_route('forest_access', '/+f/{id_nat_frt}*view')
    config.add_route('planning_access', '/+a/{id_nat_amgt}*view')

    # load registry components of overridden packages
    config.include('pyams_content')
    config.include('pyams_content_es')

    # load registry components
    try:
        import pyams_zmi
    except ImportError:
        config.scan(ignore=[re.compile('zmi').search])
    else:
        config.scan()

    if hasattr(config, 'load_zcml'):
        config.load_zcml('configure.zcml')
